{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"servers":[{"url":"https://api.galileo.ai","description":"Galileo Public APIs - galileo-v2"}],"paths":{"/v2/healthcheck":{"get":{"tags":["health"],"summary":"Healthcheck","operationId":"healthcheck_v2_healthcheck_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HealthcheckResponse"}}}}}}},"/v2/token":{"get":{"tags":["auth"],"summary":"Get Token","operationId":"get_token_v2_token_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"organization_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid4"},{"type":"null"}],"title":"Organization Id"}},{"name":"organization_slug","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Organization Slug"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetTokenResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/system_users":{"post":{"tags":["system_users","users"],"summary":"Create Or Verify User","description":"Create a new system user with an email and password.\n\nIf no admin exists (first user), the user will be created as an admin.\n\nOtherwise:\n- User record was already created when the admin invited the user\n- We should verify the user's email","operationId":"create_or_verify_user_v2_system_users_post","parameters":[{"name":"signup_token","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Signup Token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCreate","examples":[{"email":"user@example.com","first_name":"Alice","last_name":"Appleseed","auth_method":"email","password":"Th3secret_"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemUserDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/system_users/social":{"post":{"tags":["system_users","users"],"summary":"Create Or Verify User Social","description":"Create a user using a social login provider.\n\nAll social users are created with `email_is_verified=True`, don't need to be invited and are by default read-only\n(unless they are the first user, in which case they are set to admin).","operationId":"create_or_verify_user_social_v2_system_users_social_post","parameters":[{"name":"signup_token","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Signup Token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SocialLoginRequest","examples":[{"id_token":"token1234","provider":"google"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SystemUserDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/login":{"post":{"tags":["auth"],"summary":"Login Email","operationId":"login_email_v2_login_post","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Body_login_email_v2_login_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/login/api_key":{"post":{"tags":["auth"],"summary":"Login Api Key","operationId":"login_api_key_v2_login_api_key_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyLoginRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/login/social":{"post":{"tags":["auth"],"summary":"Login Social","operationId":"login_social_v2_login_social_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SocialLoginRequest","examples":[{"id_token":"token1234","provider":"google"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/saml/login":{"get":{"tags":["auth"],"summary":"Saml Login","operationId":"saml_login_v2_saml_login_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/saml/acs":{"post":{"tags":["auth"],"summary":"Saml Acs","operationId":"saml_acs_v2_saml_acs_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/saml/metadata":{"get":{"tags":["auth"],"summary":"Saml Metadata","operationId":"saml_metadata_v2_saml_metadata_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v2/verify_email":{"post":{"tags":["auth"],"summary":"Verify Email","operationId":"verify_email_v2_verify_email_post","parameters":[{"name":"verification_token","in":"query","required":true,"schema":{"type":"string","title":"Verification Token"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailVerificationRequest","examples":[{"email":"user@example.com"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/refresh_token":{"post":{"tags":["auth"],"summary":"Refresh Token","operationId":"refresh_token_v2_refresh_token_post","parameters":[{"name":"refresh_token","in":"cookie","required":true,"schema":{"type":"string","title":"Refresh Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Token"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/annotation/templates":{"post":{"tags":["annotation"],"summary":"Create Annotation Template","operationId":"create_annotation_template_v2_projects__project_id__annotation_templates_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationTemplateCreate","examples":[{"name":"creativity","criteria":"How creative was the response?","constraints":{"annotation_type":"score","min":1,"max":10}}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationTemplateDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["annotation"],"summary":"List Annotation Templates","operationId":"list_annotation_templates_v2_projects__project_id__annotation_templates_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AnnotationTemplateDB"},"title":"Response List Annotation Templates V2 Projects  Project Id  Annotation Templates Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/annotation/templates/{template_id}":{"patch":{"tags":["annotation"],"summary":"Update Annotation Template","operationId":"update_annotation_template_v2_projects__project_id__annotation_templates__template_id__patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationTemplateUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationTemplateDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["annotation"],"summary":"Get Annotation Template","operationId":"get_annotation_template_v2_projects__project_id__annotation_templates__template_id__get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationTemplateDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["annotation"],"summary":"Delete Annotation Template","operationId":"delete_annotation_template_v2_projects__project_id__annotation_templates__template_id__delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/annotation/templates/reorder":{"post":{"tags":["annotation"],"summary":"Reorder Annotation Templates","operationId":"reorder_annotation_templates_v2_projects__project_id__annotation_templates_reorder_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationTemplateReorder"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/annotation/templates/{template_id}/traces/{trace_id}/rating":{"put":{"tags":["annotation"],"summary":"Create Annotation Rating","operationId":"create_annotation_rating_v2_projects__project_id__annotation_templates__template_id__traces__trace_id__rating_put","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"trace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Trace Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationRatingCreate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationRatingDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["annotation"],"summary":"Get Annotation Rating","operationId":"get_annotation_rating_v2_projects__project_id__annotation_templates__template_id__traces__trace_id__rating_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}},{"name":"trace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Trace Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationRatingDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["annotation"],"summary":"Delete Annotation Rating","operationId":"delete_annotation_rating_v2_projects__project_id__annotation_templates__template_id__traces__trace_id__rating_delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"trace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Trace Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/annotation/templates/{template_id}/records/{record_id}/rating":{"put":{"tags":["annotation"],"summary":"Create Log Record Annotation Rating","operationId":"create_log_record_annotation_rating_v2_projects__project_id__annotation_templates__template_id__records__record_id__rating_put","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"record_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Record Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationRatingCreate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationRatingDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["annotation"],"summary":"Get Log Record Annotation Rating","operationId":"get_log_record_annotation_rating_v2_projects__project_id__annotation_templates__template_id__records__record_id__rating_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}},{"name":"record_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Record Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnotationRatingDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["annotation"],"summary":"Delete Log Record Annotation Rating","operationId":"delete_log_record_annotation_rating_v2_projects__project_id__annotation_templates__template_id__records__record_id__rating_delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}},{"name":"record_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Record Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/annotation/ratings":{"post":{"tags":["annotation"],"summary":"Apply Bulk Annotation","operationId":"apply_bulk_annotation_v2_projects__project_id__annotation_ratings_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkAnnotationRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BulkAnnotationRatingStatus"},"title":"Response Apply Bulk Annotation V2 Projects  Project Id  Annotation Ratings Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/users/{user_id}/api_keys":{"get":{"tags":["api_keys"],"summary":"Get Api Keys","operationId":"get_api_keys_v2_users__user_id__api_keys_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListApiKeyResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/users/api_keys":{"post":{"tags":["api_keys"],"summary":"Create Api Key","operationId":"create_api_key_v2_users_api_keys_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiKeyRequest","examples":[{"description":"My cool api_key","expires_at":"2025-04-01 09:00:00+00:00"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiKeyResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/users/api_keys/{api_key_id}":{"delete":{"tags":["api_keys"],"summary":"Delete Api Key","operationId":"delete_api_key_v2_users_api_keys__api_key_id__delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"api_key_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Api Key Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyDeleteResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/prompt_datasets":{"post":{"tags":["datasets"],"summary":"Upload Prompt Evaluation Dataset","operationId":"upload_prompt_evaluation_dataset_v2_projects__project_id__prompt_datasets_post","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"format","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DatasetFormat","default":"csv"}},{"name":"hidden","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Hidden"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_upload_prompt_evaluation_dataset_v2_projects__project_id__prompt_datasets_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromptDatasetDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["datasets"],"summary":"List Prompt Datasets","operationId":"list_prompt_datasets_v2_projects__project_id__prompt_datasets_get","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListPromptDatasetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets":{"post":{"tags":["datasets"],"summary":"Create Dataset","description":"Creates a standalone dataset.","operationId":"create_dataset_v2_datasets_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"format","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DatasetFormat","default":"csv"}},{"name":"hidden","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Hidden"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_create_dataset_v2_datasets_post"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["datasets"],"summary":"List Datasets","operationId":"list_datasets_v2_datasets_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"actions","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/DatasetAction"},"description":"Actions to include in the 'permissions' field.","title":"Actions"},"description":"Actions to include in the 'permissions' field."},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/bulk_delete":{"delete":{"tags":["datasets"],"summary":"Bulk Delete Datasets","description":"Delete multiple datasets in bulk.\n\nThis endpoint allows efficient deletion of multiple datasets at once.\nIt validates permissions for each dataset in the service and provides detailed feedback about\nsuccessful and failed deletions for each dataset.\n\nParameters\n----------\ndelete_request : BulkDeleteDatasetsRequest\n    Request containing list of dataset IDs to delete (max 100)\nctx : Context\n    Request context including authentication information\n\nReturns\n-------\nBulkDeleteDatasetsResponse\n    Details about the bulk deletion operation including:\n    - Number of successfully deleted datasets\n    - List of failed deletions with reasons\n    - Summary message","operationId":"bulk_delete_datasets_v2_datasets_bulk_delete_delete","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkDeleteDatasetsRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkDeleteDatasetsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/datasets/{dataset_id}":{"get":{"tags":["datasets"],"summary":"Get Dataset","operationId":"get_dataset_v2_datasets__dataset_id__get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["datasets"],"summary":"Update Dataset","operationId":"update_dataset_v2_datasets__dataset_id__patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDatasetRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["datasets"],"summary":"Delete Dataset","operationId":"delete_dataset_v2_datasets__dataset_id__delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/query":{"post":{"tags":["datasets"],"summary":"Query Datasets","operationId":"query_datasets_v2_datasets_query_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"actions","in":"query","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/DatasetAction"},"description":"Actions to include in the 'permissions' field.","title":"Actions"},"description":"Actions to include in the 'permissions' field."},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetParams","default":{"filters":[],"sort":{"name":"created_at","ascending":false,"sort_type":"column"}}}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/prompt_datasets/{dataset_id}":{"put":{"tags":["datasets"],"summary":"Update Prompt Dataset","operationId":"update_prompt_dataset_v2_projects__project_id__prompt_datasets__dataset_id__put","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"file_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"}},{"name":"num_rows","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Num Rows"}},{"name":"format","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DatasetFormat","default":"csv"}},{"name":"hidden","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Hidden"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_update_prompt_dataset_v2_projects__project_id__prompt_datasets__dataset_id__put"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromptDatasetDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["datasets"],"summary":"Delete Prompt Dataset","operationId":"delete_prompt_dataset_v2_projects__project_id__prompt_datasets__dataset_id__delete","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["datasets"],"summary":"Download Prompt Dataset","operationId":"download_prompt_dataset_v2_projects__project_id__prompt_datasets__dataset_id__get","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/content":{"patch":{"tags":["datasets"],"summary":"Update Dataset Content","description":"Update the content of a dataset.\n\nThe `index` and `column_name` fields are treated as keys tied to a specific version of the dataset.\nAs such, these values are considered immutable identifiers for the dataset's structure.\n\nEdits are applied sequentially in list order, and each edit sees the table state left by the\nprevious one. For example, after a `rename_column` edit renames `col_a` to `col_b`, any\nsubsequent `update_row` in the same request must reference the column as `col_b`, not `col_a`.\n\nThe `If-Match` header is used to ensure that updates are only applied if the client's version of the dataset\nmatches the server's version. This prevents conflicts from simultaneous updates. The `ETag` header in the response\nprovides the new version identifier after a successful update.","operationId":"update_dataset_content_v2_datasets__dataset_id__content_patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"If-Match","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"ETag of the dataset as a version identifier.","title":"If-Match"},"description":"ETag of the dataset as a version identifier.","example":"d89cce33-549d-4b6d-b220-afb641d859c8"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDatasetContentRequest"}}}},"responses":{"204":{"description":"Dataset content updated successfully","headers":{"ETag":{"description":"New version identifier for the dataset","schema":{"type":"string"}}}},"404":{"description":"Dataset not found"},"412":{"description":"ETag mismatch; client's If-Match does not match current resource version"},"422":{"description":"Validation error in request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"423":{"description":"Resource lock could not be acquired; another update may be in progress"}}},"get":{"tags":["datasets"],"summary":"Get Dataset Content","operationId":"get_dataset_content_v2_datasets__dataset_id__content_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetContent"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["datasets"],"summary":"Upsert Dataset Content","description":"Rollback the content of a dataset to a previous version.","operationId":"upsert_dataset_content_v2_datasets__dataset_id__content_put","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/RollbackRequest"},{"$ref":"#/components/schemas/UpsertDatasetContentRequest"}],"title":"Body"}}}},"responses":{"204":{"description":"Dataset content upserted successfully"},"404":{"description":"Dataset not found"},"422":{"description":"Validation error in request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}},"423":{"description":"Resource lock could not be acquired; another update may be in progress"}}}},"/v2/datasets/{dataset_id}/download":{"get":{"tags":["datasets"],"summary":"Download Dataset","operationId":"download_dataset_v2_datasets__dataset_id__download_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/preview":{"post":{"tags":["datasets"],"summary":"Preview Dataset","operationId":"preview_dataset_v2_datasets__dataset_id__preview_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreviewDatasetRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetContent"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/content/query":{"post":{"tags":["datasets"],"summary":"Query Dataset Content","operationId":"query_dataset_content_v2_datasets__dataset_id__content_query_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueryDatasetParams","default":{"filters":[]}}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetContent"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/users":{"post":{"tags":["datasets"],"summary":"Create User Dataset Collaborators","operationId":"create_user_dataset_collaborators_v2_datasets__dataset_id__users_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserCollaboratorCreate"},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserCollaborator"},"title":"Response Create User Dataset Collaborators V2 Datasets  Dataset Id  Users Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["datasets"],"summary":"List User Dataset Collaborators","description":"List the users with which the dataset has been shared.","operationId":"list_user_dataset_collaborators_v2_datasets__dataset_id__users_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListUserCollaboratorsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/groups":{"post":{"tags":["datasets"],"summary":"Create Group Dataset Collaborators","description":"Share a dataset with groups.","operationId":"create_group_dataset_collaborators_v2_datasets__dataset_id__groups_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupCollaboratorCreate"},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupCollaborator"},"title":"Response Create Group Dataset Collaborators V2 Datasets  Dataset Id  Groups Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["datasets"],"summary":"List Group Dataset Collaborators","description":"List the groups with which the dataset has been shared.","operationId":"list_group_dataset_collaborators_v2_datasets__dataset_id__groups_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListGroupCollaboratorsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/users/{user_id}":{"patch":{"tags":["datasets"],"summary":"Update User Dataset Collaborator","description":"Update the sharing permissions of a user on a dataset.","operationId":"update_user_dataset_collaborator_v2_datasets__dataset_id__users__user_id__patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCollaborator"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["datasets"],"summary":"Delete User Dataset Collaborator","description":"Remove a user's access to a dataset.","operationId":"delete_user_dataset_collaborator_v2_datasets__dataset_id__users__user_id__delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/groups/{group_id}":{"patch":{"tags":["datasets"],"summary":"Update Group Dataset Collaborator","description":"Update the sharing permissions of a group on a dataset.","operationId":"update_group_dataset_collaborator_v2_datasets__dataset_id__groups__group_id__patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupCollaborator"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["datasets"],"summary":"Delete Group Dataset Collaborator","description":"Remove a group's access to a dataset.","operationId":"delete_group_dataset_collaborator_v2_datasets__dataset_id__groups__group_id__delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/versions/query":{"post":{"tags":["datasets"],"summary":"Query Dataset Versions","operationId":"query_dataset_versions_v2_datasets__dataset_id__versions_query_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetVersionParams"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetVersionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/versions/{version_index}/content":{"get":{"tags":["datasets"],"summary":"Get Dataset Version Content","operationId":"get_dataset_version_content_v2_datasets__dataset_id__versions__version_index__content_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"version_index","in":"path","required":true,"schema":{"type":"integer","title":"Version Index"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetContent"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/versions/{version_index}":{"patch":{"tags":["datasets"],"summary":"Update Dataset Version","operationId":"update_dataset_version_v2_datasets__dataset_id__versions__version_index__patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"version_index","in":"path","required":true,"schema":{"type":"integer","title":"Version Index"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDatasetVersionRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatasetVersionDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/{dataset_id}/projects":{"get":{"tags":["datasets"],"summary":"List Dataset Projects","operationId":"list_dataset_projects_v2_datasets__dataset_id__projects_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDatasetProjectsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/datasets/extend":{"post":{"tags":["datasets"],"summary":"Extend Dataset Content","description":"Extends the dataset content","operationId":"extend_dataset_content_v2_datasets_extend_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyntheticDatasetExtensionRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SyntheticDatasetExtensionResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/datasets/extend/{dataset_id}":{"get":{"tags":["datasets"],"summary":"Get Dataset Synthetic Extend Status","operationId":"get_dataset_synthetic_extend_status_v2_datasets_extend__dataset_id__get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"dataset_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Dataset Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JobProgress"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/experiments":{"get":{"tags":["experiment"],"summary":"List Experiments","description":"Retrieve all experiments for a project.","operationId":"list_experiments_v2_projects__project_id__experiments_get","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"include_counts","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Counts"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExperimentResponse"},"title":"Response List Experiments V2 Projects  Project Id  Experiments Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["experiment"],"summary":"Create Experiment","description":"Create a new experiment for a project.","operationId":"create_experiment_v2_projects__project_id__experiments_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentCreateRequest","examples":[{"name":"my_first_experiment"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/experiments/paginated":{"get":{"tags":["experiment"],"summary":"List Experiments Paginated","description":"Retrieve all experiments for a project with pagination.","operationId":"list_experiments_paginated_v2_projects__project_id__experiments_paginated_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"include_counts","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Counts"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListExperimentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/experiments/search":{"post":{"tags":["experiment"],"summary":"Search Experiments","description":"Search experiments for a project.","operationId":"search_experiments_v2_projects__project_id__experiments_search_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentSearchRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListExperimentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/experiments/{experiment_id}":{"get":{"tags":["experiment"],"summary":"Get Experiment","description":"Retrieve a specific experiment.","operationId":"get_experiment_v2_projects__project_id__experiments__experiment_id__get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"experiment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Experiment Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["experiment"],"summary":"Update Experiment","description":"Update a specific experiment.","operationId":"update_experiment_v2_projects__project_id__experiments__experiment_id__put","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"experiment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Experiment Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentUpdateRequest","examples":[{"name":"my_first_experiment"}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["experiment"],"summary":"Delete Experiment","description":"Delete a specific experiment.","operationId":"delete_experiment_v2_projects__project_id__experiments__experiment_id__delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"experiment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Experiment Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/experiments/available_columns":{"post":{"tags":["experiment"],"summary":"Experiments Available Columns","description":"Procures the column information for experiments.","operationId":"experiments_available_columns_v2_projects__project_id__experiments_available_columns_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExperimentsAvailableColumnsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/experiments/{experiment_id}/metric_settings":{"patch":{"tags":["experiment"],"summary":"Update Metric Settings","operationId":"update_metric_settings_v2_projects__project_id__experiments__experiment_id__metric_settings_patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"experiment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Experiment Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetricSettingsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetricSettingsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["experiment"],"summary":"Get Metric Settings","operationId":"get_metric_settings_v2_projects__project_id__experiments__experiment_id__metric_settings_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"experiment_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Experiment Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MetricSettingsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/feedback/templates":{"post":{"tags":["feedback"],"summary":"Create Feedback Template V2","operationId":"create_feedback_template_v2_v2_projects__project_id__feedback_templates_post","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackTemplateCreate","examples":[{"name":"creativity","criteria":"How creative was the response?","constraints":{"feedback_type":"score","min":1,"max":10}}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackTemplateDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["feedback"],"summary":"List Feedback Templates V2","operationId":"list_feedback_templates_v2_v2_projects__project_id__feedback_templates_get","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackTemplateDB"},"title":"Response List Feedback Templates V2 V2 Projects  Project Id  Feedback Templates Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/feedback/templates/{template_id}":{"patch":{"tags":["feedback"],"summary":"Update Feedback Template","operationId":"update_feedback_template_v2_projects__project_id__feedback_templates__template_id__patch","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackTemplateUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackTemplateDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["feedback"],"summary":"Get Feedback Template V2","operationId":"get_feedback_template_v2_v2_projects__project_id__feedback_templates__template_id__get","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackTemplateDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["feedback"],"summary":"Delete Feedback Template","operationId":"delete_feedback_template_v2_projects__project_id__feedback_templates__template_id__delete","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/feedback/templates/reorder":{"post":{"tags":["feedback"],"summary":"Reorder Feedback Templates","operationId":"reorder_feedback_templates_v2_projects__project_id__feedback_templates_reorder_post","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackTemplateReorder"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/feedback/templates/{template_id}/traces/{trace_id}/rating":{"put":{"tags":["feedback"],"summary":"Create Feedback Rating V2","operationId":"create_feedback_rating_v2_v2_projects__project_id__feedback_templates__template_id__traces__trace_id__rating_put","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"trace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Trace Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackRatingCreate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackRatingDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["feedback"],"summary":"Get Feedback Rating V2","operationId":"get_feedback_rating_v2_v2_projects__project_id__feedback_templates__template_id__traces__trace_id__rating_get","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"trace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Trace Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackRatingDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["feedback"],"summary":"Delete Feedback Rating V2","operationId":"delete_feedback_rating_v2_v2_projects__project_id__feedback_templates__template_id__traces__trace_id__rating_delete","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"trace_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Trace Id"}},{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}},{"name":"template_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Template Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/projects/{project_id}/feedback/ratings":{"post":{"tags":["feedback"],"summary":"Apply Bulk Feedback V2","operationId":"apply_bulk_feedback_v2_v2_projects__project_id__feedback_ratings_post","deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"project_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Project Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkFeedbackRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BulkFeedbackRatingStatus"},"title":"Response Apply Bulk Feedback V2 V2 Projects  Project Id  Feedback Ratings Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/group_roles":{"get":{"tags":["groups"],"summary":"Get Group Roles","operationId":"get_group_roles_v2_group_roles_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/GroupRoleInfo"},"type":"array","title":"Response Get Group Roles V2 Group Roles Get"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/groups":{"post":{"tags":["groups"],"summary":"Create Group","operationId":"create_group_v2_groups_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupCreate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["groups"],"summary":"List Groups","operationId":"list_groups_v2_groups_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListGroupsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/groups/{group_id}":{"delete":{"tags":["groups"],"summary":"Delete Group","operationId":"delete_group_v2_groups__group_id__delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["groups"],"summary":"Get Group","operationId":"get_group_v2_groups__group_id__get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["groups"],"summary":"Update Group","operationId":"update_group_v2_groups__group_id__patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/groups/{group_id}/members":{"post":{"tags":["groups"],"summary":"Add User To Group","operationId":"add_user_to_group_v2_groups__group_id__members_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupMemberCreate"},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupMemberDB"},"title":"Response Add User To Group V2 Groups  Group Id  Members Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["groups"],"summary":"List Group Members","operationId":"list_group_members_v2_groups__group_id__members_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListGroupMembersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/groups/{group_id}/members/{user_id}":{"patch":{"tags":["groups"],"summary":"Update Group Member","operationId":"update_group_member_v2_groups__group_id__members__user_id__patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupMemberUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupMemberDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["groups"],"summary":"Delete Group Member","operationId":"delete_group_member_v2_groups__group_id__members__user_id__delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/current_user/groups":{"get":{"tags":["groups"],"summary":"List Current User Groups","operationId":"list_current_user_groups_v2_current_user_groups_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/GroupDB"},"type":"array","title":"Response List Current User Groups V2 Current User Groups Get"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/integrations/available":{"get":{"tags":["integrations"],"summary":"List Available Integrations","description":"List all of the available integrations to be created in Galileo.","operationId":"list_available_integrations_v2_integrations_available_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailableIntegrations"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/integrations/{name}":{"get":{"tags":["integrations"],"summary":"Get Integration","description":"Gets the integration data formatted for the specified integration.","operationId":"get_integration_v2_integrations__name__get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"name","in":"path","required":true,"schema":{"$ref":"#/components/schemas/IntegrationProvider"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/AwsBedrockIntegration"},{"$ref":"#/components/schemas/AwsSageMakerIntegration"},{"$ref":"#/components/schemas/AzureIntegration"},{"$ref":"#/components/schemas/AnthropicIntegration"},{"$ref":"#/components/schemas/CustomIntegration"},{"$ref":"#/components/schemas/DatabricksIntegration"},{"$ref":"#/components/schemas/MistralIntegration"},{"$ref":"#/components/schemas/NvidiaIntegration"},{"$ref":"#/components/schemas/OpenAIIntegration"},{"$ref":"#/components/schemas/VegasGatewayIntegration"},{"$ref":"#/components/schemas/VertexAIIntegration"},{"$ref":"#/components/schemas/WriterIntegration"}],"discriminator":{"propertyName":"provider","mapping":{"aws_bedrock":"#/components/schemas/AwsBedrockIntegration","aws_sagemaker":"#/components/schemas/AwsSageMakerIntegration","azure":"#/components/schemas/AzureIntegration","anthropic":"#/components/schemas/AnthropicIntegration","custom":"#/components/schemas/CustomIntegration","databricks":"#/components/schemas/DatabricksIntegration","mistral":"#/components/schemas/MistralIntegration","nvidia":"#/components/schemas/NvidiaIntegration","openai":"#/components/schemas/OpenAIIntegration","vegas_gateway":"#/components/schemas/VegasGatewayIntegration","vertex_ai":"#/components/schemas/VertexAIIntegration","writer":"#/components/schemas/WriterIntegration"}},"title":"Response Get Integration V2 Integrations  Name  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/integrations/{name}/status":{"get":{"tags":["integrations"],"summary":"Get Integration Status","description":"Checks if the integration status is active or not.","operationId":"get_integration_status_v2_integrations__name__status_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"name","in":"path","required":true,"schema":{"$ref":"#/components/schemas/IntegrationProvider"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"},"title":"Response Get Integration Status V2 Integrations  Name  Status Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/integrations/{integration_id}/users":{"get":{"tags":["integrations"],"summary":"List User Integration Collaborators","description":"List the users with which the integration has been shared.","operationId":"list_user_integration_collaborators_v2_integrations__integration_id__users_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListUserCollaboratorsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["integrations"],"summary":"Create User Integration Collaborators","operationId":"create_user_integration_collaborators_v2_integrations__integration_id__users_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserCollaboratorCreate"},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserCollaborator"},"title":"Response Create User Integration Collaborators V2 Integrations  Integration Id  Users Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/integrations/{integration_id}/users/{user_id}":{"patch":{"tags":["integrations"],"summary":"Update User Integration Collaborator","description":"Update the sharing permissions of a user on an integration.","operationId":"update_user_integration_collaborator_v2_integrations__integration_id__users__user_id__patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCollaborator"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["integrations"],"summary":"Delete User Integration Collaborator","description":"Remove a user's access to an integration.","operationId":"delete_user_integration_collaborator_v2_integrations__integration_id__users__user_id__delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/integrations/{integration_id}/groups":{"post":{"tags":["integrations"],"summary":"Create Group Integration Collaborators","description":"Share an integration with groups.","operationId":"create_group_integration_collaborators_v2_integrations__integration_id__groups_post","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupCollaboratorCreate"},"title":"Body"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/GroupCollaborator"},"title":"Response Create Group Integration Collaborators V2 Integrations  Integration Id  Groups Post"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["integrations"],"summary":"List Group Integration Collaborators","description":"List the groups with which the integration has been shared.","operationId":"list_group_integration_collaborators_v2_integrations__integration_id__groups_get","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"starting_token","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Starting Token"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListGroupCollaboratorsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/integrations/{integration_id}/groups/{group_id}":{"patch":{"tags":["integrations"],"summary":"Update Group Integration Collaborator","description":"Update the sharing permissions of a group on an integration.","operationId":"update_group_integration_collaborator_v2_integrations__integration_id__groups__group_id__patch","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CollaboratorUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupCollaborator"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["integrations"],"summary":"Delete Group Integration Collaborator","description":"Remove a group's access to an integration.","operationId":"delete_group_integration_collaborator_v2_integrations__integration_id__groups__group_id__delete","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}},{"name":"group_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Group Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/integrations/{integration_id}/select":{"put":{"tags":["integrations"],"summary":"Create Or Update Integration Selection","description":"Create or update an integration selection for this user from Galileo.","operationId":"create_or_update_integration_selection_v2_integrations__integration_id__select_put","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"integration_id","in":"path","required":true,"schema":{"type":"string","format":"uuid4","title":"Integration Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/integrations/anthropic":{"put":{"tags":["integrations"],"summary":"Create or update Anthropic integration","description":"Create or update an Anthropic integration for this user from Galileo.","operationId":"create_or_update_integration_v2_integrations_anthropic_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnthropicIntegrationCreate","examples":[{"token":"my_secret_api_token"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/integrations/aws_bedrock":{"put":{"tags":["integrations"],"summary":"Create or update AWS Bedrock integration","description":"Create or update an AWS integration for this user from Galileo.","operationId":"create_or_update_integration_v2_integrations_aws_bedrock_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseAwsIntegrationCreate","examples":[{"credential_type":"key_secret","region":"us-west-2","inference_profiles":{},"token":{"aws_access_key_id":"AWSA46AWSAWSBEDR0C45K","aws_secret_access_key":"sagasg2t0-9527@$s1ashsahfahfddsg"}},{"credential_type":"assumed_role","region":"us-west-1","inference_profiles":{},"token":{"aws_role_arn":"arn:aws:iam::1234567901:role/AWSBedrockAccessRole"}}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/integrations/aws_sagemaker":{"put":{"tags":["integrations"],"summary":"Create or update AWS SageMaker integration","description":"Create or update an AWS integration for this user from Galileo.","operationId":"create_or_update_integration_v2_integrations_aws_sagemaker_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AwsSageMakerIntegrationCreate","examples":[{"models":[{"name":"huggingface-pytorch-inference-2024-02-29-14-53-51-829","alias":"aws_hello_world","integration":"aws_sagemaker","system_supported":false,"input_modalities":["text"],"alternative_names":[],"token_limit":4000,"output_price":0.0,"input_price":0.0,"cost_by":"tokens","is_chat":false,"provides_log_probs":false,"formatting_tokens":0,"response_prefix_tokens":0,"legacy_mistral_prompt_format":false,"requires_max_tokens":false,"params_map":{"model":"model"},"input_map":{"prompt":"prompt","prefix":"","suffix":""}}],"credential_type":"key_secret","region":"us-west-2","inference_profiles":{},"token":{"aws_access_key_id":"AWSA46AWSAWSBEDR0C45K","aws_secret_access_key":"sagasg2t0-9527@$s1ashsahfahfddsg"}},{"models":[],"credential_type":"assumed_role","region":"us-west-1","inference_profiles":{},"token":{"aws_role_arn":"arn:aws:iam::1234567901:role/AWSSagemakerAccessRole"}}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/integrations/azure":{"put":{"tags":["integrations"],"summary":"Create or update Azure integration","description":"Create or update an Azure integration for this user from Galileo.","operationId":"create_or_update_integration_v2_integrations_azure_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AzureIntegrationCreate","examples":[{"token":"my_secret_api_token","endpoint":"https://example-proxy.rungalileo.io","proxy":true,"available_deployments":[{"model":"gpt-4o-mini","id":"id1"},{"model":"gpt-5","id":"id2"}]},{"token":"my_secret_api_token","endpoint":"https://example-endpoint.openai.azure.com","available_deployments":[{"model":"gpt-4o-mini","id":"id1"},{"model":"gpt-5","id":"id2"}]},{"token":"my_secret_api_token","endpoint":"https://example-endpoint.openai.azure.com","headers":{"user_id":"user@example.com","project_name":"foo-bar"}},{"token":"my_secret_api_token","endpoint":"https://example-proxy.rungalileo.io","proxy":true},{"token":"my_secret_api_token","endpoint":"https://example-endpoint.openai.azure.com"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/integrations/custom":{"put":{"tags":["integrations"],"summary":"Create or update custom integration","operationId":"create_or_update_integration_v2_integrations_custom_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomIntegrationCreate","examples":[{"authentication_type":"oauth2","models":["custom-model-1","custom-model-2"],"endpoint":"https://api.custom-provider.com/v1","authentication_scope":"chat.completions","oauth2_token_url":"https://api.custom-provider.com/oauth2/token","token":"your_oauth2_client_credentials_json","default_model":"custom-model-1"},{"authentication_type":"none","models":["custom-model-1","custom-model-2"],"endpoint":"https://internal-gateway.local/v1","default_model":"custom-model-1"},{"authentication_type":"api_key","models":["custom-model-1","custom-model-2"],"endpoint":"https://api.gateway-provider.com/v1","api_key_header":"X-API-Key","api_key_value":"your_api_key_here","headers":{"X-Custom-Header":"custom-value","X-Another-Header":"another-value"},"default_model":"custom-model-1","custom_llm_config":{"file_name":"proprietary_handler.py","class_name":"ProprietaryLLMHandler","init_kwargs":{"timeout":60}}}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/integrations/custom/{name}":{"put":{"tags":["integrations"],"summary":"Create or update a named custom integration","operationId":"create_or_update_named_custom_integration_v2_integrations_custom__name__put","security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}],"parameters":[{"name":"name","in":"path","required":true,"schema":{"type":"string","description":"Slug identifying this named custom integration","title":"Name"},"description":"Slug identifying this named custom integration"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomIntegrationCreate","examples":[{"authentication_type":"oauth2","models":["custom-model-1","custom-model-2"],"endpoint":"https://api.custom-provider.com/v1","authentication_scope":"chat.completions","oauth2_token_url":"https://api.custom-provider.com/oauth2/token","token":"your_oauth2_client_credentials_json","default_model":"custom-model-1"},{"authentication_type":"none","models":["custom-model-1","custom-model-2"],"endpoint":"https://internal-gateway.local/v1","default_model":"custom-model-1"},{"authentication_type":"api_key","models":["custom-model-1","custom-model-2"],"endpoint":"https://api.gateway-provider.com/v1","api_key_header":"X-API-Key","api_key_value":"your_api_key_here","headers":{"X-Custom-Header":"custom-value","X-Another-Header":"another-value"},"default_model":"custom-model-1","custom_llm_config":{"file_name":"proprietary_handler.py","class_name":"ProprietaryLLMHandler","init_kwargs":{"timeout":60}}}]}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v2/integrations/databricks/unity-catalog/sql":{"put":{"tags":["integrations"],"summary":"Create or update Databricks integration (legacy)","description":"Create or update a databricks integration for this user from Galileo.","operationId":"create_or_update_unity_catalog_integration_v2_integrations_databricks_unity_catalog_sql_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatabricksIntegrationCreate","examples":[{"storage":true,"hostname":"https://dbc-00000000-0000.cloud.databricks.com","path":"/sql/1.0/warehouses/a000000000000000","token":"my_secret_api_token"},{"llm":true,"hostname":"https://dbc-00000000-0000.cloud.databricks.com","token":"my_secret_api_token"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"deprecated":true,"security":[{"APIKeyHeader":[]},{"OAuth2PasswordBearer":[]},{"HTTPBasic":[]}]}},"/v2/integrations/databricks":{"put":{"tags":["integrations"],"summary":"Create or update Databricks integration","description":"Create or update a databricks integration for this user from Galileo.","operationId":"create_or_update_unity_catalog_integration_v2_integrations_databricks_put","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatabricksIntegrationCreate","examples":[{"storage":true,"hostname":"https://dbc-00000000-0000.cloud.databricks.com","path":"/sql/1.0/warehouses/a000000000000000","token":"my_secret_api_token"},{"llm":true,"hostname":"https://dbc-00000000-0000.cloud.databricks.com","token":"my_secret_api_token"}]}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationDB"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPVal
[...]
